---
title: RTCOutboundRtpStreamStats.perDscpPacketsSent
slug: Web/API/RTCOutboundRtpStreamStats/perDscpPacketsSent
tags:
  - API
  - DSCP
  - Media
  - Property
  - RTCOutboundRtpStreamStats
  - RTP
  - Reference
  - Services
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - perDscpPacketsSent
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>perDscpPacketsSent</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary is a record comprised of key/value pairs in which each key is a string representation of a Differentiated Services Code Point and the value is the number of packets sent for that DCSP.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> Not all operating systems make data available on a per-DSCP basis, so this property shouldn't be relied upon on those systems.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>perDscpPacketsSent</em> = <em>RTCOutboundRtpStreamStats</em>.perDscpPacketsSent;</pre>

<h3 id="Value">Value</h3>

<p>A record comprised of string/value pairs. Each key is the string representation of a single Differentiated Services Code Point (DSCP)'s ID number.</p>

<div class="notecard note">
<p><strong>Note:</strong> Due to network bleaching and remapping, the numbers seen on this record are not necessarily going to match the values as they were when the data was sent.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-perDscpPacketsSent', 'RTCOutboundRtpStreamStats.perDscpPacketsSent')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.perDscpPacketsSent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(2474)}}: The Differentiated Service field in IPv4 and IPv6 headers</li>
</ul>
